#ifndef _wprefs_h_
#define _wprefs_h_

#include "WSem.h"
#include <OS.h>
#include <Rect.h>
#include <InterfaceDefs.h>

class BFile;

class WPrefs
{
	public:
		WPrefs(void);
		~WPrefs(void);
		void Save(void);
	protected:
		void _GetInt(char *name, int *value, int *defaultvalue);
		void _GetBool(char *name, bool *value, bool *defaultvalue);
		void _GetRect(char *name, BRect *value, BRect *defaultvalue);
		void _GetString(char *name, char value[], char **defaultvalue);
		void _PutInt(char *name, int *value);
		void _PutBool(char *name, bool *value);
		void _PutRect(char *name, BRect *value);
		void _PutString(char *name, char value[]);
		
	public:
		WSem sem;
		BFile *file;
		
		bool opFirstOpen;
		bool opInDeskbar;
		bool opMetric, opDetailed;
		int opUpdateSpeed;
		
		BRect opWinRect;
		BRect opPrefRect;
		BRect opInfoRect;
		
		char opMetarServer[SERVER_MAX_LEN + 1], opIwinServer[SERVER_MAX_LEN + 1];
		char opLocName[LOCATION_NAME_MAX_LEN + 1], opLocCode[LOCATION_CODE_LEN + 1];
		char opLocZone[LOCATION_ZONE_LEN + 1], opLocRadar[LOCATION_RADAR_LEN + 1];
		
		rgb_color opColor;
		
		bool opUseProxy;
		char opProxyServer[1024];
		int opProxyPort;
};

#endif
