#ifndef _winfowindow_h_
#define _winfowindow_h_

#include <Window.h>
class WPrefs;
class WWeather;
class BMessage;
class BMessenger;
class BStringView;
class BTextView;

enum
{
	WI_CLOSE = 'wicl',
	WI_UPDATE = 'wiup',
	WI_ACTIVATE = 'wiac',
	WI_REPLY = 'wirp'
};

class WInfoWindow : public BWindow
{
	public:
		WInfoWindow(WPrefs *iprefs, WWeather *iweather, BMessenger *imsger);
		
		bool QuitRequested(void);
		void MessageReceived(BMessage *message);
		
	protected:
		void SavePos(void);
		void Update(void);
	
	public:
		WPrefs *prefs;
		WWeather *weather;
		BMessenger *msger;
		
		BStringView *vLoc, *vTime, *vTemp, *vDew, *vSky, *vCond, *vWind, *vVis, *vPres, *vHum;
		BTextView *vFore;
};

#endif
