#include "Main.h"
#include "WSem.h"

WSem::WSem(const char *name)
{
	id = create_sem(0, name);
	release_sem(id);
}

WSem::~WSem(void)
{
	delete_sem(id);
}

void WSem::get(void)
{
	acquire_sem(id);
}

void WSem::rel(void)
{
	release_sem(id);
}
